<?php
	define("HTML_TITLE", "MyHome Album");
	define("SESSION_PREFIX", "photo");

	if (defined("photo_DEFAULT_IMAGES_FOLDER")) {
		define("DEFAULT_IMAGES_FOLDER", photo_DEFAULT_IMAGES_FOLDER);
		define("SMALL_SIZE", photo_SMALL_SIZE);
		define("MID_SIZE", photo_MID_SIZE);
		define("BIG_SIZE", photo_BIG_SIZE);
		define("MAX_SIZE", photo_MAX_SIZE);
		define("UPDOWN_SIZE", photo_UPDOWN_SIZE);
	} else {
		define("DEFAULT_IMAGES_FOLDER", "D:/Temp");
		define("SMALL_SIZE", 120);
		define("MID_SIZE", 240);
		define("BIG_SIZE", 360);
		define("MAX_SIZE", 720);
		define("UPDOWN_SIZE", 120);
	}
	if (defined("photo_IMAGE_MAX_SELECT")) {
		define("IMAGE_MAX_SELECT", photo_IMAGE_MAX_SELECT);
		define("IMAGE_MAX_DEFAULT", photo_IMAGE_MAX_DEFAULT);
	} else {
		define("IMAGE_MAX_SELECT", "5,10,20,50,100,200,1000");	//頁内に表示する画像数
		define("IMAGE_MAX_DEFAULT", "10");			//頁内に表示する画像数（デフォルト）
	}
	if (defined("photo_SLIDE_MAIN_SIZE")) {
		define("SLIDE_MAIN_SIZE", photo_SLIDE_MAIN_SIZE);
		define("SLIDE_SMALL_SIZE", photo_SLIDE_SMALL_SIZE);
		define("SLIDE_SMALL_NUM", photo_SLIDE_SMALL_NUM);
		define("SLIDE_MAIN_BG_COLOR", photo_SLIDE_MAIN_BG_COLOR);
		define("SLIDE_SMALL_BG_COLOR", photo_SLIDE_SMALL_BG_COLOR);
	} else {
		define("SLIDE_MAIN_SIZE", 500);
		define("SLIDE_SMALL_SIZE", 56);
		define("SLIDE_SMALL_NUM", 10);
		define("SLIDE_MAIN_BG_COLOR", "#202020");
		define("SLIDE_SMALL_BG_COLOR", "#808080");
	}
	if (defined("photo_SLIDE_INTERVAL_TIME")) {
		define("SLIDE_INTERVAL_TIME", photo_SLIDE_INTERVAL_TIME);
	} else {
		define("SLIDE_INTERVAL_TIME", 3);
	}
	if (defined("photo_SLIDE_MAIN_SIZE_SELECT")) {
		define("SLIDE_MAIN_SIZE_SELECT", photo_SLIDE_MAIN_SIZE_SELECT);
	} else {
		define("SLIDE_MAIN_SIZE_SELECT", "100,200,300,400,500,600,800,1000,1200,1400,1600");
	}
	if (defined("photo_VIDEO_THUMBNAIL_BORDER")) {
		define("VIDEO_THUMBNAIL_BORDER", photo_VIDEO_THUMBNAIL_BORDER);
	} else {
		define("VIDEO_THUMBNAIL_BORDER", "border: solid 1px #ff8000;");
	}
	if (defined("photo_JIGSAW_PUZZLE_CREATE")) {
		define("JIGSAW_PUZZLE_CREATE", photo_JIGSAW_PUZZLE_CREATE);
	} else {
		define("JIGSAW_PUZZLE_CREATE", "YES");		//ジグソーパズル生成機能を使う場合: "YES"
	}
	if (defined("photo_VIDEO_PREVIEW")) {
		define("VIDEO_PREVIEW", photo_VIDEO_PREVIEW);
		define("VIDEO_PREVIEW_EXT", photo_VIDEO_PREVIEW_EXT);
	} else {
		define("VIDEO_PREVIEW", "YES");
		define("VIDEO_PREVIEW_EXT", "flv,mp4,mp3");
	}
?>
